import * as annotatedtext from "annotatedtext";
import frontmatter from "remark-frontmatter";
import remarkparse from "remark-parse";
import { unified } from "unified";
const defaults = {
    children(node) {
        return annotatedtext.defaults.children(node);
    },
    annotatetextnode(node, text) {
        return annotatedtext.defaults.annotatetextnode(node, text);
    },
    interpretmarkup(text = "") {
        return "\n".repeat((text.match(/\n/g) || []).length);
    },
    // See: https://github.com/syntax-tree/mdast-util-from-markdown#frommarkdowndoc-encoding-options
    remarkoptions: {},
};
function build(text, options = defaults) {
    const processor = unified()
        .use(remarkparse, options.remarkoptions)
        .use(frontmatter, ["yaml", "toml"]);
    return annotatedtext.build(text, processor.parse, options);
}
export { build, defaults };
//# sourceMappingURL=index.js.map